complexType "ConvertibleBond"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 18 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, (issuerName | issuerPartyReference)?, seniority?, couponType?, couponRate?, maturity?, parValue?, faceAmount?, paymentFrequency?, dayCountFraction?, underlyingEquity?, redemptionDate?
</...>

Content Model Elements (18):

  clearanceSystem, couponRate, couponType, currency (defined in UnderlyingAsset complexType), dayCountFraction (defined in BondCalculation.model group), definition, description (defined in IdentifiedAsset complexType), exchangeId (defined in UnderlyingAsset complexType), faceAmount, | instrumentId (defined in IdentifiedAsset complexType), issuerName, issuerPartyReference, maturity (defined in FixedIncomeSecurityContent.model group), parValue, paymentFrequency (defined in BondCalculation.model group), redemptionDate, seniority, underlyingEquity

All Direct / Indirect Based Elements (1):

  convertibleBond

Known Usage Locations

- As direct type of elements (1):
  convertibleBond

Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) Bond (extension) ConvertibleBond

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ConvertibleBond"> <xsd:complexContent> <xsd:extension base="Bond"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyingEquity" type="EquityAsset"/> <xsd:element minOccurs="0" name="redemptionDate" type="xsd:date"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/18)
redemptionDate

  Type: | xsd:date, predefined, simple content

  Earlier date between the convertible bond put dates and its maturity date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="redemptionDate" type="xsd:date"/>

underlyingEquity

  Type: | EquityAsset, complex content

  Specifies the equity in which the convertible bond can be converted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyingEquity" type="EquityAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.